



<!DOCTYPE html>
<html lang="en">
  
  <head>
    
      <meta charset="utf-8">
      <title>Bokeh Plot</title>
      
      
        
          
        <link rel="stylesheet" href="https://cdn.pydata.org/bokeh/release/bokeh-1.2.0.min.css" type="text/css" />
        
        
          
        <script type="text/javascript" src="https://cdn.pydata.org/bokeh/release/bokeh-1.2.0.min.js"></script>
        <script type="text/javascript">
            Bokeh.set_log_level("info");
        </script>
        
      
      
    
  </head>
  
  
  <body>
    
      
        
          
          
            
              <div class="bk-root" id="e79fe6b5-9c0c-4220-a0a3-e44d6957f4ec" data-root-id="1104"></div>
            
          
        
      
      
        <script type="application/json" id="1206">
          {"0fd4e804-99f9-40df-bbcd-fe3b8c29133f":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_multi":null,"active_scroll":"auto","active_tap":"auto","tools":[{"id":"1125","type":"HoverTool"}]},"id":"1126","type":"Toolbar"},{"attributes":{"grid_line_color":null,"ticker":{"id":"1116","type":"BasicTicker"}},"id":"1119","type":"Grid"},{"attributes":{},"id":"1113","type":"LinearScale"},{"attributes":{"axis_label":null,"formatter":{"id":"1140","type":"BasicTickFormatter"},"ticker":{"id":"1116","type":"BasicTicker"},"visible":false},"id":"1115","type":"LinearAxis"},{"attributes":{},"id":"1111","type":"LinearScale"},{"attributes":{"end_angle":{"expr":{"id":"1129","type":"CumSum"},"units":"rad"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.4},"start_angle":{"expr":{"id":"1128","type":"CumSum"},"units":"rad"},"x":{"value":0},"y":{"value":1}},"id":"1133","type":"Wedge"},{"attributes":{"data_source":{"id":"1130","type":"ColumnDataSource"},"glyph":{"id":"1132","type":"Wedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1133","type":"Wedge"},"selection_glyph":null,"view":{"id":"1135","type":"CDSView"}},"id":"1134","type":"GlyphRenderer"},{"attributes":{"end_angle":{"expr":{"id":"1129","type":"CumSum"},"units":"rad"},"fill_color":{"field":"color"},"line_color":{"value":"white"},"radius":{"units":"data","value":0.4},"start_angle":{"expr":{"id":"1128","type":"CumSum"},"units":"rad"},"x":{"value":0},"y":{"value":1}},"id":"1132","type":"Wedge"},{"attributes":{},"id":"1121","type":"BasicTicker"},{"attributes":{"callback":null,"data":{"OpenSource":["No","Yes"],"angle":{"__ndarray__":"AwXF7/giDEAtVcO4/SAGQA==","dtype":"float64","shape":[2]},"color":["#FF33F0","#33C1FF"],"index":[0,1],"percentage":{"__ndarray__":"4Wmv3O38S0AfllAjEgNGQA==","dtype":"float64","shape":[2]},"value":[48904,38462]},"selected":{"id":"1148","type":"Selection"},"selection_policy":{"id":"1149","type":"UnionRenderers"}},"id":"1130","type":"ColumnDataSource"},{"attributes":{"callback":null,"start":-0.5},"id":"1107","type":"Range1d"},{"attributes":{},"id":"1149","type":"UnionRenderers"},{"attributes":{},"id":"1138","type":"BasicTickFormatter"},{"attributes":{"text":"Working with Open Source tools"},"id":"1105","type":"Title"},{"attributes":{"field":"angle","include_zero":true},"id":"1128","type":"CumSum"},{"attributes":{"items":[{"id":"1142","type":"LegendItem"}]},"id":"1141","type":"Legend"},{"attributes":{},"id":"1148","type":"Selection"},{"attributes":{"axis_label":null,"formatter":{"id":"1138","type":"BasicTickFormatter"},"ticker":{"id":"1121","type":"BasicTicker"},"visible":false},"id":"1120","type":"LinearAxis"},{"attributes":{},"id":"1140","type":"BasicTickFormatter"},{"attributes":{},"id":"1116","type":"BasicTicker"},{"attributes":{"label":{"field":"OpenSource"},"renderers":[{"id":"1134","type":"GlyphRenderer"}]},"id":"1142","type":"LegendItem"},{"attributes":{"dimension":1,"grid_line_color":null,"ticker":{"id":"1121","type":"BasicTicker"}},"id":"1124","type":"Grid"},{"attributes":{"callback":null,"tooltips":"@OpenSource: %@percentage"},"id":"1125","type":"HoverTool"},{"attributes":{"below":[{"id":"1115","type":"LinearAxis"}],"center":[{"id":"1119","type":"Grid"},{"id":"1124","type":"Grid"},{"id":"1141","type":"Legend"}],"left":[{"id":"1120","type":"LinearAxis"}],"plot_height":400,"plot_width":500,"renderers":[{"id":"1134","type":"GlyphRenderer"}],"title":{"id":"1105","type":"Title"},"toolbar":{"id":"1126","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"1107","type":"Range1d"},"x_scale":{"id":"1111","type":"LinearScale"},"y_range":{"id":"1109","type":"DataRange1d"},"y_scale":{"id":"1113","type":"LinearScale"}},"id":"1104","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"1109","type":"DataRange1d"},{"attributes":{"source":{"id":"1130","type":"ColumnDataSource"}},"id":"1135","type":"CDSView"},{"attributes":{"field":"angle"},"id":"1129","type":"CumSum"}],"root_ids":["1104"]},"title":"Bokeh Application","version":"1.2.0"}}
        </script>
        <script type="text/javascript">
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    
                  var docs_json = document.getElementById('1206').textContent;
                  var render_items = [{"docid":"0fd4e804-99f9-40df-bbcd-fe3b8c29133f","roots":{"1104":"e79fe6b5-9c0c-4220-a0a3-e44d6957f4ec"}}];
                  root.Bokeh.embed.embed_items(docs_json, render_items);
                
                  }
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        </script>
    
  </body>
  
</html>